import { ServerAdapterOptions } from '@whatwg-node/server';
import { TypedRequest, TypedResponse, TypedResponseCtor } from '@whatwg-node/typed-fetch';
import type { Router, RouterBaseObject, RouterPlugin, RouterSDK } from './types';
export interface RouterOptions<TServerContext = {}> extends ServerAdapterOptions<TServerContext> {
    base?: string;
    plugins?: RouterPlugin<TServerContext>[];
}
export declare const Response: TypedResponseCtor;
export declare function createRouterBase({ fetchAPI: givenFetchAPI, base: basePath, plugins, }?: RouterOptions<any>): RouterBaseObject<any, any>;
export declare function createRouter<TServerContext, TRouterSDK extends RouterSDK<string, TypedRequest, TypedResponse> = {
    [TKey: string]: never;
}>(options?: RouterOptions<TServerContext>): Router<TServerContext, TRouterSDK>;
